import java.util.Hashtable;
import javax.naming.Context;
import org.apache.log4j.Logger;
import packg.StatefulEjb;
import packg.StatelessEjb;

public class Main {

	private static Logger log = Logger.getLogger(Main.class);

	public static void main(String[] args) {

		try {

			Context context = getInitialContext();
			String nameStateless = 
			"ejb:/testEJB/StatelessEjbBean!packg.StatelessEjb";
			StatelessEjb statelessBean = (StatelessEjb) context
					.lookup(nameStateless);

			String nameStateful =
			"ejb:/testEJB/StatefulEjbBean!packg.StatefulEjb?stateful";
			StatefulEjb statefulBean = (StatefulEjb) context
					.lookup(nameStateful);

			log.info("  sayHi (stateless EJB)\n"
					+ statelessBean.sayHi("Alex"));
			
			statefulBean.put("here we go");
			log.info("  pop (stateful EJB)\n" + statefulBean.pop());

		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public static Context getInitialContext()
			throws javax.naming.NamingException {
		
		Hashtable<String, String> prop = new Hashtable<String, String>();
		prop.put(Context.URL_PKG_PREFIXES, "org.jboss.ejb.client.naming");
		return new javax.naming.InitialContext(prop);
		
	}
}
